from __future__ import division
import logging

from keyriban.config import term
from keyriban.view import ring


logger = logging.getLogger(__name__)


def format(keys):
    """Update ribbon content with pressed keys.
    """
    print(term.clear)
    with term.location(y=0):
        try:
            keychars = ring.format(keys, term)
        except UnicodeDecodeError:
            keychars = '<UNK>'
        print(term.rjust(keychars, width=term.width // 2))
