#!/usr/bin/env python
# -*- coding: utf-8 -*-

# Copyright (c) 2016 Fabrice Laporte - kray.me
# The MIT License http://www.opensource.org/licenses/mit-license.php

import click

from keyriban import config as cfg
from keyriban import ribbon
from keyriban.keylog import LogReader

"""Terminal ribbon displaying keylogging information.
"""

__version__ = '0.0.1'


@click.command(context_settings=dict(help_option_names=['-h', '--help']),
               help=__doc__)
@click.option('--calibrate', is_flag=True)
@click.argument('keylogger_file', type=click.Path(exists=True),
    metavar='FILE')
@click.version_option(__version__)
def keyriban_cli(calibrate, keylogger_file):
    reader = LogReader(keylogger_file)
    if calibrate:
        reader.detect_format()

    print(cfg.term.clear)
    with cfg.term.fullscreen():
        for keys in reader.tail(keep_alive=3):
            ribbon.format(keys)


if __name__ == "__main__":
    keyriban_cli()
